Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Summary: 	Edje is a complex graphical design & layout library.
Name: 		edje
Version: 	20071209
Release: 	1
License:	BSD
URL: 		http://www.enlightenment.org
Source0: 	%{name}-%{version}.tar.gz
Group: 		Graphical Desktop/Enlightenment17
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  ecore-devel
BuildRequires:  eet-devel
BuildRequires:  embryo-devel
BuildRequires:  evas-devel
BuildRequires:  libjpeg-devel
BuildRequires:  glibc-devel
BuildRequires:  openssl-devel
BuildRequires:  curl-devel
BuildRequires:  libidn-devel
BuildRequires:  zlib-devel
BuildRequires:  bash
BuildRequires:  libX11-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXdamage-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXp-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel

%description 
Edje is a complex graphical design & layout library.
It's purpose is to be a sequel to "Ebits" which to date has serviced the needs
of Enlightenment development for version 0.17. The original design parameters
under which Ebits came about were a lot more restricted than the resulting use of them,
thus Edje was born. Edje is a more complex layout engine compared to Ebits.
It doesn't pretend to do containering and regular layout like a widget set.
It still inherits the more simplistic layout ideas behind Ebits, but it now does
them a lot more cleanly, allowing for easy expansion, and the ability to cover much more
ground than Ebits ever could. For the purposes of Enlightenment 0.17, Edje should serve
all the purposes of creating visual elements (borders of windows, scrollbars, etc.)
and allow the designer the ability to animate, layout and control the look and feel of
any program using Edje as its basic GUI constructor.
This library allows for multiple collections of layouts in one file,
sharing the same image database and thus allowing a whole theme to be conveneintly
packaged into 1 file and shipped around.

%package devel
Summary:        Development files for edje
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for developing applications using edje

%prep
%setup -q -n %name

%build
./autogen.sh
%configure -prefix=%_prefix
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%_bindir/%{name}
%_bindir/%{name}_*
%_libdir/*.so.*
%_datadir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig

%changelog
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 20071209-1
- Version Update
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071104-1
- Version Update
* Fri Nov 02 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071102-1
- Version Update
* Sun Dec 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.5.0.037-2
- recompiled
* Sun Dec 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.5.0.037-1
- version update
* Sun Oct 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.5.0.035-1
- version update
* Fri Aug 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.5.0.032-1
- version update, fixed history log
* Fri Jun 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.5.0.027-1
- version update
* Sun Dec 25 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.5.0.022-1
- Initial Release
